/*=============================================================================
	pwd.h : 

	Copyright © 2008 Bruno Santos <nayart3@gmail.com>
=============================================================================*/

#ifndef TCRT_PWD__H_
#define TCRT_PWD__H_

///////////////////////////////////////////////////////////////////////////////
#include "sys/types.h"

///////////////////////////////////////////////////////////////////////////////
TCRT_BEGIN_EXTERN_C

///////////////////////////////////////////////////////////////////////////////
typedef struct passwd {
	char    *pw_name;
	uid_t    pw_uid;
	gid_t    pw_gid;
	char    *pw_dir;
	char    *pw_shell;
	char	*pw_gecos;
};

///////////////////////////////////////////////////////////////////////////////
struct passwd* getpwuid(uid_t uid);
struct passwd* getpwnam(const char* name);

///////////////////////////////////////////////////////////////////////////////
TCRT_END_EXTERN_C

// EOF ////////////////////////////////////////////////////////////////////////
#endif /* TCRT_PWD__H_ */
